Page MenuHomePhabricator

Fix DataLayout::operator==()
ClosedPublic

Authored by maksqwe on Apr 21 2014, 1:08 AM.

Details

Reviewers
rafael

Diff Detail

Event Timeline

The patch is correct, but it should probably have a test. Without the patch llvm-link crashes when linking two files that differ only in the pointers in the datalayout, so it should be easy to add a test.

Can I add data to an existing test?

test/Linker/datalayout.ll

maksqwe updated this revision to Unknown Object (????).Apr 22 2014, 8:26 AM

I added data layout pointers to "test/Linker/Inputs/datalayout-b.ll"

rafael accepted this revision.Apr 22 2014, 8:52 AM

LGTM.

Do you have commit access?

Committed as r206911.

Eugene.Zelenko closed this revision.Oct 3 2016, 5:17 PM